## pf_mount

The pf_mount fucntion mounts a volume.

    FRESULT pf_mount (
      FATFS*  fs  /* [IN] Pointer to the work area */
    );

#### Parameters

fs
  Pointer to the work area (file system object) to be registered.

#### Return Values

FR_OK (0)
  The function succeeded.
FR_NOT_READY
  The drive could not be initialized due to a disk error or no medium.
FR_DISK_ERR
  An error occured in the disk function.
FR_NO_FILESYSTEM
  There is no valid FAT partition on the disk.

#### Description

The `pf_mount()` function registers a work area to the Petit FatFs module. The volume is mounted on registration. The volume must be mounted with this function prior to any other file function and after every media changes.

#### QuickInfo

Always available.

#### References

`FATFS`

Return